# Verify org domain DNS TXT

> Source: https://elaichi.ai/docs/api-reference/org-domains/org-domain/verifyorgdomain/

`POST /org-domain/{id}/verify`

Resource: **Org Domain** · API: **Org domains**

## Path parameters

- **`id`** _(string, required)_
  Resource id

## Response body

- **`id`** _(string)_
- **`organization_id`** _(string)_
- **`domain`** _(string)_
- **`verified`** _(boolean)_
- **`verification_record`** _(string)_
- **`default_role_id`** _(string,null)_
- **`sso_connection_id`** _(string,null)_
- **`detail`** _(string,null)_
- **`created_at`** _(string)_
- **`updated_at`** _(string)_

## Code examples

### curl

```bash
curl -X POST 'https://api.elaichi.ai/org-domain/<id>/verify' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.elaichi.ai/org-domain/<id>/verify', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/org-domain/<id>/verify"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.post(url, headers=headers)
print(response.json())
```
